## org.apache.mahout.math.function
Class DoubleFunction

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction

Direct Known Subclasses:
  AbstractDistribution, AbstractSamplerFunction, Mult, RandomEngine, SquareRootFunction

    public abstract class DoubleFunction

extends Object

Interface that represents a function object: a function that takes a single argument and returns a single value.

See Also:
  `org.apache.mahout.math.map`

Constructor Summary
`DoubleFunction()`

Method Summary
`abstract double` `apply(double x)` Apply the function to the argument and return the result
`boolean` `isDensifying()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleFunction

    public DoubleFunction()

Method Detail

### apply

    public abstract double apply(double x)

  Apply the function to the argument and return the result

  Parameters:
    `x` - double for the argument
  Returns:
    the result of applying the function

### isDensifying

    public boolean isDensifying()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.